# Visualization
TKService
AlienImage

# AlienImage_SGIRGBAlienData Class Reference

This class defines a SGI .rgb Alien image.
.

`#include <AlienImage_SGIRGBAlienData.hxx>`

Inheritance diagram for AlienImage_SGIRGBAlienData:

[legend]

## Public Member Functions

Standard_EXPORT | AlienImage_SGIRGBAlienData ()
Standard_EXPORT void | Clear ()
| Frees memory allocated by SGIRGBAlienData .
| ~AlienImage_SGIRGBAlienData ()
Standard_EXPORT Standard_Boolean | Read (OSD_File &afile)
| Read content of a SGIRGBAlienData object from a file . Returns True if file is a SGI .rgb file . .
Standard_EXPORT Standard_Boolean | Write (OSD_File &afile) const
| Write content of a SGIRGBAlienData object to a file . .
virtual Standard_EXPORT void | SetName (const TCollection_AsciiString &aName)
| Set Image name . .
virtual Standard_EXPORT const TCollection_AsciiString & | Name () const
| Get Image name . .
Standard_EXPORT Handle_Image_Image | ToImage () const
| convert a SGIRGBAlienData object to a Image object.
Standard_EXPORT void | FromImage (const Handle(Image_Image)&anImage)
| convert a Image object to a SGIRGBAlienData object.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

AlienImage_SGIRGBFileHeader | myHeader
Standard_Address | myRedData
Standard_Address | myGreenData
Standard_Address | myBlueData

## Private Member Functions

Standard_EXPORT Handle_Image_PseudoColorImage | ToPseudoColorImage () const
| convert a AlienImage object to a Image object.
Standard_EXPORT Handle_Image_ColorImage | ToColorImage () const
| convert a AlienImage object to a Image object.

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_SGIRGBAlienData::AlienImage_SGIRGBAlienData | ( |  | ) |

AlienImage_SGIRGBAlienData::~AlienImage_SGIRGBAlienData | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void AlienImage_SGIRGBAlienData::Clear | ( |  | ) |

Standard_EXPORT void AlienImage_SGIRGBAlienData::FromImage | ( | const Handle(Image_Image)& | anImage | ) | `[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT const AlienImage_SGIRGBAlienData::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AlienImage_AlienImageData.

virtual Standard_EXPORT const TCollection_AsciiString& AlienImage_SGIRGBAlienData::Name | ( |  | ) | const`[virtual]`

| Reimplemented from AlienImage_AlienImageData.

Standard_EXPORT Standard_Boolean AlienImage_SGIRGBAlienData::Read | ( | OSD_File & | afile | ) | `[virtual]`

| Implements AlienImage_AlienImage.

virtual Standard_EXPORT void AlienImage_SGIRGBAlienData::SetName | ( | const TCollection_AsciiString & | aName | ) | `[virtual]`

| Reimplemented from AlienImage_AlienImageData.

Standard_EXPORT Handle_Image_ColorImage AlienImage_SGIRGBAlienData::ToColorImage | ( |  | ) | const`[private]`

Standard_EXPORT Handle_Image_Image AlienImage_SGIRGBAlienData::ToImage | ( |  | ) | const`[virtual]`

| Implements AlienImage_AlienImage.

Standard_EXPORT Handle_Image_PseudoColorImage AlienImage_SGIRGBAlienData::ToPseudoColorImage | ( |  | ) | const`[private]`

Standard_EXPORT Standard_Boolean AlienImage_SGIRGBAlienData::Write | ( | OSD_File & | afile | ) | const`[virtual]`

| Implements AlienImage_AlienImage.

## Field Documentation

Standard_Address AlienImage_SGIRGBAlienData::myBlueData `[protected]`

Standard_Address AlienImage_SGIRGBAlienData::myGreenData `[protected]`

AlienImage_SGIRGBFileHeader AlienImage_SGIRGBAlienData::myHeader `[protected]`

Standard_Address AlienImage_SGIRGBAlienData::myRedData `[protected]`

The documentation for this class was generated from the following file:

- AlienImage_SGIRGBAlienData.hxx